| Flutter Impeller |

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
impeller::CaptureElement Struct Referencefinal

`#include <capture.h>`

Inheritance diagram for impeller::CaptureElement:

## Public Member Functions
void | Rewind ()
bool | MatchesCloselyEnough (const CaptureElement &other) const override
| Determines if previously captured data matches closely enough with newly recorded data to safely emitted in its place. If this returns `false`, then the remaining elements in the capture list are discarded and re-recorded. More...
Public Member Functions inherited from impeller::CaptureCursorListElement< CaptureElement >
| CaptureCursorListElement (const std::string &label)
virtual | ~CaptureCursorListElement ()=default

## Static Public Member Functions
static std::shared_ptr< CaptureElement > | Make (const std::string &label)

## Public Attributes
CapturePlaybackList< CaptureProperty > | properties
CapturePlaybackList< CaptureElement > | children
Public Attributes inherited from impeller::CaptureCursorListElement< CaptureElement >
std::string | label

## Detailed Description

A document of capture data, containing a list of properties and a list of subdocuments.

Definition at line 196 of file capture.h.

## Member Function Documentation

## ◆ Make()

std::shared_ptr< CaptureElement > impeller::CaptureElement::Make | ( | const std::string & | label | ) |
| static

Definition at line 73 of file capture.cc.

73 {
74 return std::shared_ptr<CaptureElement>(new CaptureElement(label));
75 }

## ◆ MatchesCloselyEnough()

bool impeller::CaptureElement::MatchesCloselyEnough | ( | const CaptureElement & | other | ) | const
| override virtual

Determines if previously captured data matches closely enough with newly recorded data to safely emitted in its place. If this returns `false`, then the remaining elements in the capture list are discarded and re-recorded.

This mechanism ensures that the UI of an interactive inspector can never deviate from reality, even if the schema of the captured data were to significantly deviate.

Implements impeller::CaptureCursorListElement< CaptureElement >.

Definition at line 82 of file capture.cc.

82 {
83 return label == other.label;
84 }

References impeller::CaptureCursorListElement< Type >::label.

## ◆ Rewind()

void impeller::CaptureElement::Rewind | ( |  | ) |

Definition at line 77 of file capture.cc.

77 {
78 properties.Rewind();
79 children.Rewind();
80 }

## Member Data Documentation

## ◆ children

CapturePlaybackList<CaptureElement> impeller::CaptureElement::children

Definition at line 198 of file capture.h.

## ◆ properties

CapturePlaybackList<CaptureProperty> impeller::CaptureElement::properties

Definition at line 197 of file capture.h.

The documentation for this struct was generated from the following files:

- impeller/core/capture.h
- impeller/core/capture.cc

impeller::CaptureCursorListElement< CaptureElement >::label
std::string label
Definition: capture.h:42
impeller::CaptureElement::children
CapturePlaybackList< CaptureElement > children
Definition: capture.h:198
impeller::CaptureElement::properties
CapturePlaybackList< CaptureProperty > properties
Definition: capture.h:197